Search App Store apps
import { Stophy } from "stophy";
const stophy = new Stophy({ apiKey: process.env.STOPHY_API_KEY });
const result = await stophy.appstore.search({ query: "photo editor", limit: 20 });
console.log(result.data.apps);
from stophy import Stophy
stophy = Stophy() # reads STOPHY_API_KEY
result = stophy.appstore.search(query="photo editor", limit=20)
print(result["data"]["apps"])
curl -X POST https://api.stophy.dev/v1/appstore/search \
-H "Authorization: Bearer $STOPHY_API_KEY" \
-H "content-type: application/json" \
-d '{"query":"photo editor","limit":20}'
stophy appstore search "photo editor" --limit 20
{
"success": true,
"data": {
"apps": [
{
"id": "abc123",
"bundleId": "abc123",
"name": "Example title",
"url": "https://example.com/",
"developer": {
"id": "abc123",
"name": "Example title",
"url": "https://example.com/"
},
"seller": "example",
"website": "https://example.com/",
"price": 19.99,
"currency": "USD",
"priceText": "example",
"genres": [
"example"
],
"primaryGenre": {
"id": "abc123",
"name": "Example title"
},
"contentRating": "example",
"description": "A short, readable summary of the result.",
"releaseNotes": "example",
"version": "example",
"releasedAt": "2026-09-28T12:00:00.000Z",
"updatedAt": "2026-09-28T12:00:00.000Z",
"minimumOsVersion": "example",
"sizeBytes": 1,
"languages": [
"example"
],
"rating": 4.5,
"ratings": 4.5,
"icon": "https://example.com/",
"screenshots": [
"https://example.com/"
],
"ipadScreenshots": [
"https://example.com/"
]
}
]
},
"creditsUsed": 1,
"requestId": "54ff3b3e-f614-41e6-bf22-39d56411f10f"
}
Endpoints
| Endpoint | Cost |
|---|---|
| Get an app’s details from the App Store | 1 credit |
| Search App Store apps | 1 credit per 20 items, at least 1 credit |
| Get an app’s App Store reviews | 1 credit per 20 items, at least 1 credit |
| Get App Store top charts | 1 credit per 100 items, at least 1 credit |
| Get an app’s details from Google Play | 1 credit |
| Search Google Play apps | 1 credit |
| Get an app’s Google Play reviews | 1 credit per 20 items, at least 1 credit |
More ways to call it
Get an app’s details from the App Store
import { Stophy } from "stophy";
const stophy = new Stophy({ apiKey: process.env.STOPHY_API_KEY });
const result = await stophy.appstore.app({ app: "284882215" });
console.log(result.data.app);
from stophy import Stophy
stophy = Stophy() # reads STOPHY_API_KEY
result = stophy.appstore.app(app="284882215")
print(result["data"]["app"])
curl -X POST https://api.stophy.dev/v1/appstore/app \
-H "Authorization: Bearer $STOPHY_API_KEY" \
-H "content-type: application/json" \
-d '{"app":"284882215"}'
stophy appstore app 284882215
Search Google Play apps
import { Stophy } from "stophy";
const stophy = new Stophy({ apiKey: process.env.STOPHY_API_KEY });
const result = await stophy.googleplay.search({ query: "photo editor" });
console.log(result.data.apps);
from stophy import Stophy
stophy = Stophy() # reads STOPHY_API_KEY
result = stophy.googleplay.search(query="photo editor")
print(result["data"]["apps"])
curl -X POST https://api.stophy.dev/v1/googleplay/search \
-H "Authorization: Bearer $STOPHY_API_KEY" \
-H "content-type: application/json" \
-d '{"query":"photo editor"}'
stophy googleplay search "photo editor"
Pass the app id from a search result into the App Store or Google Play reviews endpoint to read what users say.